Page MenuHomePhabricator

SpecialWatchlistQuery is being deprecated, remove usage in SpecialMobileWatchlist
Closed, ResolvedPublic

Description

The mobile version of the Special:Watchlist (which hopefully we can one day remove) is making use of the SpecialWatchlistQuery hook (deprecated in deprecated in version 1.24.) As its removal becomes pending we need to remove this code ASAP.

It appears ChangesListSpecialPageQuery can be used in its place.

QA steps

Test this one on the beta cluster. Exploratory testing is needed.

Visit:
https://en.m.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidepreviousrevisions=1&hidecategorization=1&hideWikibase=1&limit=250&days=3&urlversion=2

Try all the different tabs.

They should be consistent with the titles shown on desktop (https://en.wikipedia.beta.wmflabs.org/wiki/Special:Watchlist?hidepreviousrevisions=1&hidecategorization=1&hideWikibase=1&limit=500&days=90&urlversion=2)

Event Timeline

Jdlrobson created this task.Oct 2 2018, 9:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 9:39 PM

Change 463879 had a related patch set uploaded (by Jdlrobson; owner: Jforrester):
[mediawiki/extensions/MobileFrontend@master] SpecialMobileWatchlist: Stop using the SpecialWatchlistQuery hook

https://gerrit.wikimedia.org/r/463879

Jdlrobson updated the task description. (Show Details)Oct 3 2018, 9:33 PM

Change 463879 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] SpecialMobileWatchlist: Stop using the SpecialWatchlistQuery hook

https://gerrit.wikimedia.org/r/463879

Skipping design review as there should be no visual changes to mobile watchlist.

Jdforrester-WMF renamed this task from SpecialWatchlistQuery is being deprecated, remove usage in Special:Watchlist to SpecialWatchlistQuery is being deprecated, remove usage in SpecialMobileWatchlist.Oct 3 2018, 10:14 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdlrobson triaged this task as Medium priority.Oct 5 2018, 3:13 PM

@Jdlrobson: Looks consistent so far with the titles shown on desktop. However, the navigation between different tabs is extremely slow!! Has it always been like this for mobile?

Yup. Especially on the beta cluster with large watchlists!

Jdlrobson reassigned this task from Ryasmeen to ovasileva.Oct 10 2018, 7:49 PM
Jdlrobson added a subscriber: Ryasmeen.
ovasileva closed this task as Resolved.Oct 10 2018, 9:46 PM

thanks all!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 10 2018, 9:46 PM